4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDist

Classes: BDist

## Classes

class BDist(distutils.command.bdist.bdist)
  Extended 'bdist' command that adds support for InnoSetup Windows installers and Python Egg files.

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class bdist
  initialize_options(self)
    Overrides: initialize_options from class bdist

  ### Methods inherited from class distutils.command.bdist.bdist

  run

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['skip-build', 'keep-temp']
  command = 'bdist_egg'
  command_name = 'bdist'
  default_format = {'nt': 'inno', 'os2': 'zip', 'posix': 'gztar'}
  description = 'Python Egg file'
  format = 'egg'
  format_command = {'bztar': ('bdist_dumb', "bzip2'ed tar file"), 'egg': ('bdist_egg', 'Python Egg file'), 'gztar': ('bdist_dumb', "gzip'ed tar file"), 'inno': ('bdist_inno', 'Windows InnoSetup installer'), 'rpm': ('bdist_rpm', 'RPM distribution'), 'tar': ('bdist_dumb', 'tar file'), 'wininst': ('bdist_wininst', 'Windows executable installer'), 'zip': ('bdist_dumb', 'ZIP file'), 'ztar': ('bdist_dumb', 'compressed tar file')}
  format_commands = ['rpm', 'gztar', 'bztar', 'ztar', 'tar', 'wininst', 'zip', 'inno', 'egg']
  sub_commands = [('bdist_rpm', <function <lambda>>), ('bdist_dumb', <function <lambda>>), ('bdist_wininst', <function <lambda>>), ('bdist_inno', <function <lambda>>), ('bdist_egg', <function <lambda>>)]
  user_options = [('bdist-base=', 'b', 'temporary directory for creating built distributions'), ('plat-name=', 'p', 'platform name to embed in generated filenames (default: linux-i686)'), ('formats=', None, 'formats for distribution (comma-separated list)'), ('dist-dir=', 'd', 'directory to put final built distributions in [default: dist]'), ('skip-build', None, 'skip rebuilding everything (for testing/debugging)'), ('keep-temp', 'k', 'keep the pseudo-installation tree around after creating the distribution archive')]

  ### Members inherited from class distutils.command.bdist.bdist

  help_options, no_format_option